require 'spec_helper'

describe Stoolie::Filter do

  subject { Stoolie::Filter.new }

  describe "#new" do
    it { should respond_to(:client) }
    it { subject.client.should be_a(SmartFilter) }

    it { should respond_to(:result) }
    it { subject.result.should be_nil }
  end

  describe "#analyze" do
    before(:each) do
      stub_filter
    end

    subject { Stoolie::Filter.new.analyze('some text') }

    it { subject.should be_a(Stoolie::Result) }
  end

end
