require 'spec_helper'

describe Stoolie::Result do

  subject { Stoolie::Result.new(SmartFilter.new) }

  describe "#new" do
    it { should respond_to(:client) }
    it { subject.client.should be_a(SmartFilter) }

    it { should respond_to(:input) }
    it { should respond_to(:output) }
  end

  describe "#is_insecure?" do
    it { should respond_to(:is_insecure?) }
  end

  describe "#is_spam?" do
    it { should respond_to(:is_spam?) }
  end

  describe "#is_blacklisted?" do
    it { should respond_to(:is_blacklisted?) }
  end

  describe "#is_offensive?" do
    it { should respond_to(:is_offensive?) }
  end

end
